//---------------------------------------------------------------------------
#ifndef CountObjectImplH
#define CountObjectImplH
//---------------------------------------------------------------------------
#include "SimpleServer_Project_TLB.h"

// The following define is utilized by the IDEs Code Manager to ensure that
// your controls Library Identifier is kept up-to-date.
// NOTE: Do not remove or modify this macro.
//
#define LIBID_CountObject LIBID_SimpleServer_Project

class ATL_NO_VTABLE TCountObjectImpl:
  AUTOOBJECT_IMPL(TCountObjectImpl, CountObject, ICountObject)
{
public:

// The COM MAP entries declares the interfaces your object exposes (through
// QueryInterface). CComRootObjectEx::InternalQueryInterface only returns
// pointers for interfaces in the COM map. VCL controls exposed as OCXes
// have a minimum set of interfaces defined by the
// VCL_CONTROL_COM_INTERFACE_ENTRIES macro. Add other interfaces supported
// by your object with additional COM_INTERFACE_ENTRY[_xxx] macros.
//
BEGIN_COM_MAP(TCountObjectImpl)
  AUTOOBJECT_COM_INTERFACE_ENTRIES(ICountObject)
END_COM_MAP()

// The following macro declares a 'static UpdateRegistry(..)' which is
// used by ATL to register this object.
//
DECLARE_TYPED_COMSERVER_REGISTRY("SimpleServer_Project.CountObject")

protected: 
  STDMETHOD(get_NumericValue(long* Value));
  STDMETHOD(get_StringValue(BSTR* Value));
  STDMETHOD(set_NumericValue(long Value));
  STDMETHOD(set_StringValue(BSTR Value));
};
#endif
